metadata:
    name: andriod-adb-over-usb
    format: "Manual Test Definition 1.0"
    description: "Test if ADB over USB works well"
    maintainer:
        - amit.khare@linaro.org
    os:
        - android
    scope:
        - functional
    devices:
        - panda
        - panda-es
        - vexpress-a9
        - vexpress-tc2
        - arndale
        - hi6220-hikey
    environment:
        - manual-test

run:
    steps:
        - "Follow the instructions on the following webpages to configure ADB on host PC:
           https://wiki.linaro.org/Platform/Android/ConfigureAndUseAdb,
           http://developer.android.com/tools/help/adb.html"
        - "Run following commands(Replace the content in <> to yours):
           $ sudo adb shell
           $ ls
           $ exit
           $ sudo adb push <file_on_host_pc> /sdcard
           $ sudo adb pull /sdcard/<file_on_host_pc> ./
           $ sudo adb install <apk_file_on_host_pc>"

    expected:
        - "ADB shell should be launched successfully and output of 'ls' command should look good."
        - "ADB push, pull and install should work well."
        - "After apk installation, the app icon should be found on UI and should be launched successfully."
        - "No hang, kernel panic or crash observed during the whole process."

